export interface GetchaInputProps {
    /** Reference Variable */
    ref?: any;
    /** Active State */
    editable?: boolean;
    /** Input Error State */
    error?: boolean | string;
    /** Input Title Label */
    label?: string;
    /** Input pattern */
    pattern?: '[0-9]*';
    /** Input Placeholder */
    placeholder?: string;
    /** Input Type */
    type?: 'text' | 'number' | 'email' | 'password';
    /** Input Value */
    value?: string | undefined;
    /** Input Success State */
    success?: boolean | string;
    /**
     * Display Clear Button State
     * - extra: value.length > 0 & onFocus === true
     */
    isShowClearBtn?: boolean;
    /** Change Event Function */
    onChangeText?: (text: string) => void;
    /** Blur Event Fucntion */
    onBlur?: () => void;
}
export declare const InputBlock: import("styled-components").StyledComponent<typeof import("react-native").View, import("styled-components").DefaultTheme, {}, never>;
export declare const InputClearButtonBlock: import("styled-components").StyledComponent<typeof import("react-native").View, import("styled-components").DefaultTheme, {}, never>;
export declare const Label: import("styled-components").StyledComponent<typeof import("react-native").Text, import("styled-components").DefaultTheme, GetchaInputProps, never>;
export declare const Input: import("styled-components").StyledComponent<typeof import("react-native").TextInput, import("styled-components").DefaultTheme, GetchaInputProps, never>;
export declare const MessageBlock: import("styled-components").StyledComponent<typeof import("react-native").View, import("styled-components").DefaultTheme, GetchaInputProps, never>;
export interface MessageProps {
    type: 'error' | 'success';
}
export declare const Message: import("styled-components").StyledComponent<typeof import("react-native").Text, import("styled-components").DefaultTheme, MessageProps, never>;
declare const GetchaInput: ({ ref, editable, isShowClearBtn, error, success, label, placeholder, type, value, onChangeText, onBlur, }: GetchaInputProps) => JSX.Element;
export default GetchaInput;
